Update a credit account reminder data
This operation will update given reminder data fields given an account id
curl --request PATCH \
--url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/account/v4/CREDIT/reminder/{id}' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"disableReminderProcess": true,
"reminder1TriggerDate": "2019-11-27",
"reminder2TriggerDate": "2019-11-27",
"reminder3TriggerDate": "2019-11-27",
"reminder4TriggerDate": "2019-11-27",
"reminder5TriggerDate": "2019-11-27",
"reminder6TriggerDate": "2019-11-27",
"reminder7TriggerDate": "2019-11-27",
"collectionTriggerDate": "2019-11-27"
}
'import requests
url = "https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/account/v4/CREDIT/reminder/{id}"
payload = {
"disableReminderProcess": True,
"reminder1TriggerDate": "2019-11-27",
"reminder2TriggerDate": "2019-11-27",
"reminder3TriggerDate": "2019-11-27",
"reminder4TriggerDate": "2019-11-27",
"reminder5TriggerDate": "2019-11-27",
"reminder6TriggerDate": "2019-11-27",
"reminder7TriggerDate": "2019-11-27",
"collectionTriggerDate": "2019-11-27"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
disableReminderProcess: true,
reminder1TriggerDate: '2019-11-27',
reminder2TriggerDate: '2019-11-27',
reminder3TriggerDate: '2019-11-27',
reminder4TriggerDate: '2019-11-27',
reminder5TriggerDate: '2019-11-27',
reminder6TriggerDate: '2019-11-27',
reminder7TriggerDate: '2019-11-27',
collectionTriggerDate: '2019-11-27'
})
};
fetch('https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/account/v4/CREDIT/reminder/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"description": "061-Usage Limit '24H_RETAIL' Amount Exceeded",
"id": "<string>"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The account id for given account
Query Parameters
The audit user to log the request
Body
The fields that you want to apply to your newly cr, these values will override the predefined template values
Reminder details for update
Date when reminder 1 is triggered
"2019-11-27"
Date when reminder 2 is triggered
"2019-11-27"
Date when reminder 3 is triggered
"2019-11-27"
Date when reminder 4 is triggered
"2019-11-27"
Date when reminder 5 is triggered
"2019-11-27"
Date when reminder 6 is triggered
"2019-11-27"
Date when reminder 7 is triggered
"2019-11-27"
Date when statement is sent to collection
"2019-11-27"
Response
Successful update of the account
When a payment is declined, a response description is returned, if available, providing more context on why the transaction failed. This includes a return code and a brief explanation. If multiple issues cause the decline, only one response description is sent; the most recent reason for decline is returned. If the payment is successful, the resourceResponse attribute is returned with null value.
"061-Usage Limit '24H_RETAIL' Amount Exceeded"
Will contain the ID of the resource that has been created or updated
Was this page helpful?

